/* Global Rules Start */
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

:root {
    --theme-color: #10cab7;
    --background-color: #f6f6f6;
    --header-color: #f0f0f0;
    --secondary-color: #2c4755;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Work Sans", sans-serif;
}

.container {
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
}

i.fa-solid {
    color: var(--theme-color);
}

.special-heading {
    text-align: center;
}

.special-heading h2 {
    margin: 0;
    font-size: 100px;
    font-weight: 800;
    letter-spacing: -4px;
    color: #dadadab7;
}

.special-heading p {
    margin: -30px 0 0;
    font-size: 20px;
    color: #797979;
}

@media (max-width: 767px) {
    .special-heading h2 {
        font-size: 60px;
    }
    .special-heading p {
        margin-top: -20px;
    }
}

@media (min-width: 768px) {
    .container {
        width: 750px;
    }
}

@media (min-width: 992px) {
    .container {
        width: 970px;
    }
}

@media (min-width: 1200px) {
    .container {
        width: 1170px;
    }
}
/* Global Rules End */

/* Header Start */
.header {
    padding: 20px;
}

.header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header .logo {
    width: 60px;
}

.header .links {
    position: relative;
    z-index: 2;
}

.header .links .icon {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: flex-end;
    width: 30px;
}

.header .links .icon span {
    height: 2px;
    width: 100%;
    margin: 2px;
    border-radius: 15px;
    background-color: black;
}

.header .links .icon span:nth-child(2) {
    width: 75%;
    transition: 0.3s;
}

.header .links:hover span:nth-child(2) {
    width: 100%;
}

.header .links ul {
    position: absolute;
    visibility: hidden;
    list-style: none;
    padding: 0;
    border-radius: 5px;
    top: 100%;
    min-width: 200px;
    right: 0;
    background-color: var(--header-color);
}

.header .links:hover ul {
    visibility: visible;
}

.header .links ul li a {
    display: block;
    padding: 15px;
    transition: transform 0.3s;
    text-decoration: none;
    color: black;
}

.header .links ul li a:hover {
    transform: translate(10px);
}

.header .links ul li:not(:last-child) {
    border-bottom: 1px solid #dbdbdb;
}

.header .links::before {
    position: absolute;
    bottom: -20px;
    right: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 20px solid var(--header-color);
}

.header .links:hover::before {
    content: "";
}
/* Header End */

/* Landing Start */
.landing {
    background-image: url(../imgs/landing.jpg);
    background-size: cover;
    height: calc(100vh - 64px);
    position: relative;
    z-index: -1;
}

.landing .intro-text {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 330px;
    max-width: 100%;
}

.landing .intro-text h1 {
    margin: 0;
    font-size: 55px;
    line-height: 67px;
    color: var(--theme-color);
}

.landing .intro-text p {
    font-size: 20px;
    line-height: 32px;
}
/* Landing End */

/* Feature Start */
.feature {
    background-color: var(--background-color);
    padding: 20px;
}

.feature .container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    align-content: space-between;
    align-items: center;
    gap: 20px;
    text-align: center;
}

.feature .container .feat h2,
.feature .container .feat p {
    margin: 0;
}

.feature .container .feat h2 {
    font-size: 20px;
    font-weight: 800;
}

.feature .container .feat {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    gap: 25px;
    margin: 50px;
}
/* Feature End */

/* Services Start */
.services {
    margin: 20px;
}

.services .container {
    display: grid;
    margin-top: 100px;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 70px;
}

.serv {
    display: flex;
    gap: 25px;
}

.serv-content {
    margin-bottom: 40px;
}

.serv-content h3 {
    margin: 0;
}

.serv-img {
    width: 240px;
    position: relative;
    transition: 0.3s;
}

.serv-img:hover img {
    transform: scale(1.1) rotate(1.5deg);
}

.serv-img::before {
    content: "";
    background-color: #2c4755;
    width: 100px;
    height: calc(100% + 100px);
    top: -50px;
    position: absolute;
    right: -50px;
    z-index: -1;
}

@media (max-width: 1199px) {
    .serv-img {
        display: none;
    }
}
/* Services End */

/* Portfolio Start */
.portfolio {
    background-color: var(--background-color);
    padding: 20px;
    padding-bottom: 100px;
}

.portfolio .container {
    display: grid;
    margin-top: 100px;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 50px;
}

.card {
    display: flex;
    flex-direction: column;
    background-color: white;
    border-radius: 15px;
    transition: 0.3s;
}

.card:hover {
    transform: scale(1.1) rotate(1.5deg);
}

.card img {
    max-width: 100%;
}

.card h3,
.card p {
    margin: 20px;
}

.card h3 {
    margin-bottom: 0;
}
/* Portfolio End */

/* About Start */
.about {
    padding: 20px;
    padding-bottom: 100px;
}

.about .container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    margin-top: 100px;
}

@media (max-width: 1199px) {
    .about .container {
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
    }
    .about-text {
        margin-top: 70px;
        text-align: center;
    }
}

.about-img {
    position: relative;
    width: 250px;
    height: 375px;
}

.about-img img {
    width: 100%;
    height: 100%;
    transition: 0.3s;
}

.about-img:hover img {
    transform: scale(1.1) rotate(1.5deg);
}

.about-img::before {
    position: absolute;
    height: calc(100% + 100px);
    top: -50px;
    width: 100px;
    left: -15%;
    z-index: -1;
    background-color: var(--header-color);
}

.about-img::after {
    position: absolute;
    width: 100px;
    height: 300px;
    border-left: 80px solid var(--theme-color);
    border-bottom: 80px solid var(--theme-color);
    top: -50px;
    right: -130px;
    z-index: -1;
}

@media (min-width: 519px) {
    .about-img::before, .about-img::after {
        content: "";
    }
}

.about-text {
    max-width: 700px;
}

.about-text p:first-child {
    margin-bottom: 50px;
    font-weight: 700;
}

.about-text p:last-child {
    color: #797979;
}

.about-text hr {
    display: inline-block;
    border-top: 2px solid var(--theme-color);
    width: 50%;
}
/* About End */

/* Contact Start */
.contact {
    background-color: var(--background-color);
    padding: 20px;
    padding-bottom: 50px;
    text-align: center;
}

.contact-content {
    margin-top: 60px;
}

.email {
    font-size: 35px;
    font-weight: 800;
    letter-spacing: -1px;
}

@media (max-width: 767px) {
    .email {
        font-size: 25px;
    }
    .contact-content {
        margin-top: 30px;
    }
}

.email p {
    color: var(--secondary-color);
    margin-bottom: 10px;
}

.email a {
    color: var(--theme-color);
    text-decoration: none;
    transition: 0.3s;
}

.email a:hover {
    color: #0cbdab;
}

.accounts {
    margin-top: 30px;
}

.accounts a {
    color: var(--secondary-color);
    margin-left: 5px;
    transition: 0.3s;
}

.accounts a:hover {
    color: #1d2d36;
}
/* Contact End */

/* Copyright Start */
.copyright {
    background-color: var(--secondary-color);
    padding: 15px;
    color: white;
    text-align: center;
    font-size: 18px;
    font-weight: 600;
}

.copyright span {
    color: var(--theme-color);
}
/* Copyright End */